Subject: Re: bug#30243: 26.0.91; Infinite recursion in `make-auto-save-file-name' for quoted filenames

From: Eli Zaretskii <[email-masked]>
Date: Tue, 30 Jan 2018 15:46:13 +0200

> From: Noam Postavsky <[email-masked]>
> Date: Sun, 28 Jan 2018 09:58:21 -0500
> Cc: [email-masked], Philipp Stephani <[email-masked]>
> 
> > The branch scratch/nonspecial-handlers is based on Emacs 26.0.91, do you
> > plan to merge it there?
> 
> Yeah, I agree with Phillip that breaking "/:" files for the release
> would be quite a severe regression.
> 
> > I feel a little bit uncomfortable with this, because my fix in
> > file-notify-add-watch didn't get heavy testing.
> 
> However, if you think the file-notify fix might possibly affect other
> things, I think leaving that part out for 26.1 would be acceptable.
> 
> Now that the code is ready, perhaps Eli has something to say on where it
> should go?

I think to make up my mind I'd need a few words about each part of the
changes (with the exception of the test suite changes): why is each of
them needed, and what does it do to fix which part of the original
problem.

I also wonder how come we've succeeded to break quoted file names so
fundamentally -- what change did that, and why did we make it on the
release branch?

Thanks.